Skip to main content
GET
Get an x402 transfer by ID

Path Parameters

id
string<uuid>
required

Transfer UUID.

Response

The transfer

Response containing details of an x402 transfer.

id
string<uuid>
required

Unique identifier for the transfer.

status
enum<string>
required

Current status of the x402 transfer:

  • received: Transfer has been submitted and accepted
  • batched: Transfer has been included in a batch for processing
  • confirmed: Transfer has been confirmed onchain
  • completed: Transfer is fully complete
  • failed: Transfer has failed
Available options:
received,
batched,
confirmed,
completed,
failed
token
string
required

Token symbol (e.g., USDC).

Example:

"USDC"

sendingNetwork
string
required

CAIP-2 network identifier for the sending chain.

Example:

"eip155:11155111"

recipientNetwork
string
required

CAIP-2 network identifier for the recipient chain.

Example:

"eip155:11155111"

fromAddress
string
required

Sender address.

toAddress
string
required

Recipient address.

amount
string
required

Transfer amount in atomic units.

nonce
string
required

EIP-3009 nonce.

txHash
string | null
required

Batch-level settlement transaction hash, shared by all transfers in the same batch. Remains null until included in a batch with a settlement transaction hash.

createdAt
string<date-time>
required

Timestamp when the transfer was created.

updatedAt
string<date-time>
required

Timestamp when the transfer was last updated.